fastdds (3.0.1+ds-1) unstable; urgency=medium

  * New upstream version 3.0.1+ds
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 13 Sep 2024 16:15:56 +0200

fastdds (3.0.0+ds-3) unstable; urgency=medium

  * Fix autopkgtest

 -- Timo Röhling <roehling@debian.org>  Wed, 28 Aug 2024 22:29:47 +0200

fastdds (3.0.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 28 Aug 2024 10:32:23 +0200

fastdds (3.0.0+ds-1) experimental; urgency=medium

  * New upstream version 3.0.0+ds
  * libfastrtps has been renamed to libfastdds

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Aug 2024 22:26:31 +0200

fastdds (2.14.3+ds-1) unstable; urgency=medium

  * New upstream version 2.14.3+ds
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Jul 2024 22:44:02 +0200

fastdds (2.14.2+ds-1) unstable; urgency=medium

  * New upstream version 2.14.2+ds
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Jun 2024 15:31:20 +0200

fastdds (2.14.1+ds-1) unstable; urgency=medium

  * New upstream version 2.14.1+ds
    - Fix CVE-2024-30258: Denial of service against publishers
    - Fix CVE-2024-30259: Heap buffer overflow in subscribers
    - Fix CVE-2024-30916: Denial of service with max_samples QoS
    - Fix CVE-2024-30917: Denial of service with history_depth QoS
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 15 May 2024 11:32:38 +0200

fastdds (2.14.0+ds-4) unstable; urgency=medium

  * Skip SHMTransport test that fails on buildd
  * Skip stress test that fails with autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 20 Apr 2024 21:50:12 +0200

fastdds (2.14.0+ds-3) unstable; urgency=medium

  * Skip broken tests
  * Clear address_configured flag for asio resolver
  * Enable tests on arm64 as well

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Apr 2024 15:33:17 +0200

fastdds (2.14.0+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Run test suite with parallel jobs

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Apr 2024 23:05:50 +0200

fastdds (2.14.0+ds-1) experimental; urgency=medium

  * New upstream version 2.14.0+ds
    - Fix CVE-2023-50257: Denial of service against subscribers
      (Closes: #1064515)
    - Fix CVE-2023-50716: Bad-free on invalid DATA_FRAG submessage
      (Closes: #1066119)
    - Fix CVE-2024-26369: SIGABRT on HistoryQosPolicy with depth 0
      (Closes: #1067180)
    - Fix CVE-2024-28231: Heap overflow on invalid DATA submessage
      (Closes: #1067393)
  * Update d/copyright
  * Drop snakeoil cert generation
  * Update d/rules
  * Bump SONAME to 2.14
  * Bump Standards-Version to 4.7.0
  * Build-Depend on libfastcdr-dev >= 2.2
  * Re-enable test suite

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Apr 2024 22:36:40 +0200

fastdds (2.11.2+ds-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062547

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 03:47:46 +0000

fastdds (2.11.2+ds-6) unstable; urgency=medium

  * Disable tests as hotfix for GTest issue (Closes: #1052742)
  * Fix CVE-2023-42459: bad-free when receiving malformed DATA submessage
    (Closes: #1054163)

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Oct 2023 09:18:49 +0200

fastdds (2.11.2+ds-5) unstable; urgency=medium

  * Restrict build tests to amd64
  * Additional checks for snakeoil generation

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Aug 2023 21:44:53 +0200

fastdds (2.11.2+ds-4) unstable; urgency=medium

  * Upload to unstable.
  * Use same test options for build and autopkgtest

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Aug 2023 13:20:52 +0200

fastdds (2.11.2+ds-3) experimental; urgency=medium

  * Run build tests on amd64 and arm64 only

 -- Timo Röhling <roehling@debian.org>  Tue, 22 Aug 2023 15:31:02 +0200

fastdds (2.11.2+ds-2) experimental; urgency=medium

  * Fix d/watch for RC versions without hyphen
  * Skip failing tests on buildd

 -- Timo Röhling <roehling@debian.org>  Tue, 22 Aug 2023 08:47:12 +0200

fastdds (2.11.2+ds-1) experimental; urgency=medium

  * New upstream version 2.11.2+ds
  * Update patches
    - Drop backported patches for security fixes (merged)
  * Bump SONAME to 2.11
  * Enable test suite again

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Aug 2023 01:08:07 +0200

fastdds (2.10.1+ds-3) unstable; urgency=high

  * Security fixes
    - CVE-2023-39945 Unhandled exception on malformed data submessage
    - CVE-2023-39946 Heap overflow triggered by PID_PROPERTY_LIST
    - CVE-2023-39947 Heap overflow triggered by PID_PROPERTY_LIST
    (Closes: #1043548)

 -- Timo Röhling <roehling@debian.org>  Tue, 15 Aug 2023 22:06:23 +0200

fastdds (2.10.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 11:25:35 +0200

fastdds (2.10.1+ds-1) experimental; urgency=medium

  * Fix build with gcc-13 (Closes: #1037645)
  * Properly handle pre-releases in d/watch
  * New upstream version 2.10.1+ds
  * Refresh patches
  * Update d/copyright
  * Install new fastRTPS_profile.xsd correctly
  * Bump SONAME to 2.10

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Jun 2023 21:37:43 +0200

fastdds (2.9.1+ds-1) unstable; urgency=medium

  * New upstream version 2.9.1+ds
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Tue, 31 Jan 2023 10:57:13 +0100

fastdds (2.9.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 21 Dec 2022 10:12:23 +0100

fastdds (2.9.0+ds-1) experimental; urgency=medium

  * New upstream version 2.9.0+ds
  * Bump SONAME to 2.9

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Dec 2022 14:15:56 +0100

fastdds (2.8.1+ds-1) unstable; urgency=medium

  * New upstream version 2.8.1+ds

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Nov 2022 20:36:24 +0100

fastdds (2.8.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Oct 2022 10:14:39 +0200

fastdds (2.8.0+ds-1) experimental; urgency=medium

  * Update d/watch
  * New upstream version 2.8.0+ds
  * Rename library package after SONAME bump
  * Add autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Oct 2022 20:17:01 +0200

fastdds (2.7.1+ds-1) unstable; urgency=medium

  * New upstream version 2.7.1+ds

 -- Timo Röhling <roehling@debian.org>  Sat, 30 Jul 2022 20:40:50 +0200

fastdds (2.7.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Jul 2022 20:24:35 +0200

fastdds (2.7.0+ds-1) experimental; urgency=medium

  * New upstream version 2.7.0+ds
  * Refresh patches
    - Drop Fix-FTBFS-with-GCC-12.patch (merged upstream)
  * SONAME bump: libfastrtps2.7

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Jul 2022 23:22:25 +0200

fastdds (2.6.1+ds-2) unstable; urgency=medium

  * Fix FTBFS with GCC-12

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jun 2022 20:45:17 +0200

fastdds (2.6.1+ds-1) unstable; urgency=medium

  * New upstream version 2.6.1+ds
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Mon, 13 Jun 2022 20:25:02 +0200

fastdds (2.6.0+ds-3) unstable; urgency=medium

  * Fix compatibility with tao-pegtl 3.x (Closes: #1009443)
  * Fix build with "nodoc" profile

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Apr 2022 21:54:33 +0200

fastdds (2.6.0+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Mar 2022 09:20:14 +0100

fastdds (2.6.0+ds-1) experimental; urgency=medium

  * New upstream version 2.6.0+ds
  * Bump SONAME to 2.6

 -- Timo Röhling <roehling@debian.org>  Sun, 20 Mar 2022 00:04:39 +0100

fastdds (2.5.1+ds-1) unstable; urgency=medium

  * New upstream version 2.5.1+ds

 -- Timo Röhling <roehling@debian.org>  Wed, 02 Mar 2022 10:19:55 +0100

fastdds (2.5.0+ds-3) unstable; urgency=medium

  * Disable FileWatch on non-Linux systems

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Dec 2021 14:05:56 +0100

fastdds (2.5.0+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Disable FileWatch on hurd-any

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Dec 2021 10:48:58 +0100

fastdds (2.5.0+ds-1) experimental; urgency=medium

  * New upstream version 2.5.0+ds
  * Bump SOVERSION to 2.5

 -- Timo Röhling <roehling@debian.org>  Fri, 24 Dec 2021 09:16:44 +0100

fastdds (2.4.1+ds-1) unstable; urgency=medium

  * New upstream version 2.4.1+ds
  * Refresh patches
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 10:40:23 +0100

fastdds (2.4.0+ds-3) unstable; urgency=medium

  * Transfer package to new Debian Robotics Team
  * Disable broken test suite

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Oct 2021 12:24:42 +0200

fastdds (2.4.0+ds-2) experimental; urgency=medium

  * Check available SHM before running tests

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Oct 2021 23:42:51 +0200

fastdds (2.4.0+ds-1) experimental; urgency=medium

  * Make build reproducible
  * New upstream version 2.4.0+ds
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no changes)
  * Remove pkgkde_symbolshelper
  * Bump SONAME to 2.4
  * Use python:any as interpreter for fastdds-tools

 -- Timo Röhling <roehling@debian.org>  Wed, 29 Sep 2021 16:39:47 +0200

fastdds (2.3.4+ds-4) unstable; urgency=medium

  * Make sqlite3 a private dependency

 -- Timo Röhling <roehling@debian.org>  Thu, 19 Aug 2021 00:17:23 +0200

fastdds (2.3.4+ds-3) unstable; urgency=medium

  * Add missing depend on libtinyxml2-dev to libfastrtps-dev

 -- Timo Röhling <roehling@debian.org>  Tue, 17 Aug 2021 21:06:48 +0200

fastdds (2.3.4+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix FTBFS with OpenSSL 3

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Aug 2021 15:38:51 +0200

fastdds (2.3.4+ds-1) experimental; urgency=medium

  * New upstream version 2.3.4+ds
  * Refresh patches

 -- Timo Röhling <roehling@debian.org>  Thu, 05 Aug 2021 15:17:24 +0200

fastdds (2.3.3+ds-1) experimental; urgency=medium

  * New upstream version 2.3.3+ds

 -- Timo Röhling <roehling@debian.org>  Fri, 18 Jun 2021 12:24:55 +0200

fastdds (2.3.2+ds-2) experimental; urgency=medium

  * Link tests against libatomic where needed

 -- Timo Röhling <roehling@debian.org>  Sun, 13 Jun 2021 23:21:53 +0200

fastdds (2.3.2+ds-1) experimental; urgency=medium

  * New upstream version 2.3.2+ds
  * Refresh d/patches
  * Update maintainer info
  * Bump SONAME

 -- Timo Röhling <roehling@debian.org>  Wed, 02 Jun 2021 14:11:05 +0200

fastdds (2.1.0+ds-9) unstable; urgency=medium

  * Disable import of fast-server-discovery target

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 29 Jan 2021 12:33:00 +0100

fastdds (2.1.0+ds-8) unstable; urgency=medium

  * Clean up symbols

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 05 Jan 2021 21:40:50 +0100

fastdds (2.1.0+ds-7) unstable; urgency=medium

  * Update symbols for new libasio DSO

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 05 Jan 2021 17:11:18 +0100

fastdds (2.1.0+ds-6) unstable; urgency=medium

  * Fix symbols for sh4, kfreebsd-amd64, hurd-i386

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 05 Jan 2021 15:12:43 +0100

fastdds (2.1.0+ds-5) unstable; urgency=medium

  * Adjust symbols file for Ubuntu
  * Include different integer sizes in libatomic check
  * Update URL in d/watch
  * Disable non-compiling test on hurd-i386

 -- Timo Röhling <timo@gaussglocke.de>  Wed, 30 Dec 2020 21:55:56 +0100

fastdds (2.1.0+ds-4) unstable; urgency=medium

  * Link tests against libatomic where needed

 -- Timo Röhling <timo@gaussglocke.de>  Sat, 26 Dec 2020 16:05:50 +0100

fastdds (2.1.0+ds-3) unstable; urgency=medium

  * Make libatomic a public dependency

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 25 Dec 2020 17:42:54 +0100

fastdds (2.1.0+ds-2) unstable; urgency=medium

  * Fix FTBFS due to missing -latomic
  * Workaround for __to_xstring symbol variations

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 25 Dec 2020 15:26:27 +0100

fastdds (2.1.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #976150)

 -- Timo Röhling <timo@gaussglocke.de>  Sat, 12 Dec 2020 17:45:10 +0100
